Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.logging.log4j.core.layout
Enum GelfLayout.CompressionType

    java.lang.Object
      java.lang.Enum<GelfLayout.CompressionType>
          org.apache.logging.log4j.core.layout.GelfLayout.CompressionType

All Implemented Interfaces:
  Serializable, Comparable<GelfLayout.CompressionType>

Enclosing class:
  GelfLayout

    public static enum GelfLayout.CompressionType

extends Enum<GelfLayout.CompressionType>

Enum Constant Summary
`GZIP`
`OFF`
`ZLIB`

Method Summary
`abstract DeflaterOutputStream` | `createDeflaterOutputStream(OutputStream os)`
`static GelfLayout.CompressionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GelfLayout.CompressionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GZIP

    public static final GelfLayout.CompressionType GZIP

### ZLIB

    public static final GelfLayout.CompressionType ZLIB

### OFF

    public static final GelfLayout.CompressionType OFF

Method Detail

### values

    public static GelfLayout.CompressionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GelfLayout.CompressionType c : GelfLayout.CompressionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GelfLayout.CompressionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### createDeflaterOutputStream

    public abstract DeflaterOutputStream createDeflaterOutputStream(OutputStream os)
                                                             throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.